package com.example.mystictale.resources.components.dateComponents

import java.text.SimpleDateFormat
import java.util.Locale


fun FormattingDateForDatabase(inputDate: String): String? {
    return try {
        // Формат входной даты
        val inputFormat = SimpleDateFormat("ddMMyyyy", Locale.getDefault())
        // Формат выходной даты
        val outputFormat = SimpleDateFormat("yyyy-MM-dd", Locale.getDefault())

        // Парсинг входной строки в дату
        val date = inputFormat.parse(inputDate)
        // Преобразование даты в строку нужного формата
        outputFormat.format(date!!)
    } catch (e: Exception) {
        // Если возникнет ошибка, возвращаем null
        null
    }
}